﻿<%@ Control Language="vb" Inherits="DotNetNuke.Modules.mfTabIFrame.mfEditIFrame" AutoEventWireup="false" CodeBehind="mfEditIFrame.ascx.vb" Explicit = "true" %>
<%@ Register TagPrefix="dnn" TagName="Url" Src="~/controls/UrlControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>

<div style="text-align: left">
    <dnn:SectionHead ID="dshOptions" IncludeRule="true" ResourceKey="dshOptions.Text" Section="pnlOptions"
        runat="server" CssClass="Head"></dnn:SectionHead>
</div>

<div id="pnlOptions" runat="server">
    <table cellspacing="0" cellpadding="0" width="750" summary="Table to update IFrame settings" border="0">
        <tr><td colspan=2 align="center">&nbsp;</td></tr>
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="Header" runat="server" Suffix=":" ControlName="txtHeader"></dnn:Label>
            </td>
            <td>
                <dnn:texteditor ID="txtHeaderText" runat="server" height="200" width="510"></dnn:texteditor>
            </td>
        </tr>
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="Footer" runat="server" Suffix=":" ControlName="txtFooter"></dnn:Label>
            </td>
            <td>
                <dnn:texteditor ID="txtFooterText" runat="server" height="200" width="510"></dnn:texteditor>
            </td>
        </tr>
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plWidth" runat="server" Suffix=":" ControlName="txtWidth"></dnn:Label>
            </td>
            <td>
                <asp:TextBox ID="txtWidth" runat="server" CssClass="NormalTextBox" Columns="50"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plHeight" runat="server" Suffix=":" ControlName="txtHeight"></dnn:Label>
            </td>
            <td>
                <asp:TextBox ID="txtHeight" runat="server" CssClass="NormalTextBox" Columns="50"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plAutoHeight" runat="server" ControlName="cbAutoHeight"></dnn:Label>
            </td>
            <td>
                <asp:CheckBox ID="cbAutoheight" runat="server" />
            </td>
        </tr>
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plScrolling" runat="server" Suffix=":" ControlName="cboScrolling">
                </dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboScrolling" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="auto">Auto</asp:ListItem>
                    <asp:ListItem Value="no">No</asp:ListItem>
                    <asp:ListItem Value="yes">Yes</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plBorder" runat="server" Suffix=":" ControlName="cboBorder"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboBorder" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="0">No</asp:ListItem>
                    <asp:ListItem Value="1">Yes</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td valign="top" class="SubHead" colspan=2 align="center">
                <asp:LinkButton class="CommandButton" ID="cmdSave" resourcekey="Save" runat="server"
                Text="Save" BorderStyle="none"></asp:LinkButton>&nbsp;
                <asp:LinkButton class="CommandButton" ID="cmdCancel" resourcekey="Cancel" runat="server"
                Text="Cancel" CausesValidation="False" BorderStyle="none"></asp:LinkButton>
            </td>
        </tr>
    </table>
</div>
<div id = "mfDisplay" runat = "server" class = "footer" ></div>
