﻿<%@ Control Language="vb" Inherits="DotNetNuke.Modules.mfTabIFrame.mfEditIFrameTab"
    AutoEventWireup="false" CodeBehind="mfEditIFrameTab.ascx.vb" Explicit="true" %>
<%@ Register TagPrefix="dnn" TagName="Url" Src="~/controls/UrlControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Import Namespace="DotNetNuke.Modules.mfTabIFrame" %>
<div style="text-align: left">
    <dnn:SectionHead ID="SectionHead1" IncludeRule="true" ResourceKey="dshTabOptions.Text"
        Section="pnlTabGrid" runat="server" CssClass="Head" Text="Tab Options"></dnn:SectionHead>
</div>
<div id="pnlTabGrid" runat="server">
    <table cellspacing="0" cellpadding="0" width="600" summary="Table to update IFrame settings"
        border="0">
        <tr>
            <td>
                <asp:GridView ID="grdTabbedIframe" runat="server" AutoGenerateColumns="false" DataKeyNames="ID"
                    Width="750">
                    <Columns>
                        <asp:TemplateField ShowHeader="False" HeaderStyle-Width="50" ItemStyle-Height="25"
                            HeaderStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="False" CommandName="Edit"
                                    ImageUrl="~/Images/Edit.gif" AlternateText="Edit" CommandArgument="<%# CType(Container.DataItem, mfIFrameTabs_Entity).ID %>" />
                                &nbsp;
                                <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="False" CommandName="Delete"
                                    ImageUrl="~/Images/delete.gif" AlternateText="Delete" CommandArgument="<%# CType(Container.DataItem, mfIFrameTabs_Entity).ID %>"
                                    OnClientClick="return confirm('Do you want to delete the tab?');" />
                                <asp:HiddenField ID="hdnID" runat="server" Value="<%# CType(Container.DataItem, mfIFrameTabs_Entity).ID %>">
                                </asp:HiddenField>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Tab Name" HeaderStyle-Width="250" HeaderStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <asp:Label ID="lblTabName" runat="server" Text="<%# CType(Container.DataItem, mfIFrameTabs_Entity).TabName %>"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Tab Order" HeaderStyle-Width="90" HeaderStyle-HorizontalAlign="Center"
                            ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <asp:Label ID="lblTabId" runat="server" Text="<%# CType(Container.DataItem, mfIFrameTabs_Entity).TabId %>"></asp:Label>
                                &nbsp;&nbsp;<asp:ImageButton ID="imgUp" runat="server" AlternateText="UP" CausesValidation="False"
                                    CommandArgument="imgUp" CommandName="grdRowUp" ImageUrl="~/Images/up.gif" OnClick="grdRowUp" />&nbsp;<asp:ImageButton
                                        ID="imgDn" runat="server" AlternateText="Down" CausesValidation="True" CommandArgument="imgDown"
                                        CommandName="grdRowDown" ImageUrl="~/Images/dn.gif" OnClick="grdRowDown" />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td>
                <ul id="ulError" runat="server" style="color: Red; font-weight: bold">
                </ul>
            </td>
        </tr>
        <tr>
            <td align="center" style="height: 19px">
                <p>
                    <asp:LinkButton ID="cmdAddParam" runat="server" resourcekey="AddNewTab" CausesValidation="False"
                        CssClass="CommandButton"></asp:LinkButton>&nbsp;&nbsp;
                    <asp:LinkButton class="CommandButton" ID="cmdCancel" resourcekey="Cancel" runat="server"
                        Text="Cancel" CausesValidation="False" BorderStyle="none"></asp:LinkButton>
                </p>
            </td>
        </tr>
    </table>
    <table width="50%">
        <tr>
            <td align="center">
                <asp:Panel runat="server" ID="pnlEdit">
                    <table>
                        <tr>
                            <td align="left" colspan="2">
                               Is HTML? <asp:CheckBox ID="chkIsHtml"  runat="server" AutoPostBack="true" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label runat="server" Text="Tab Name" ID="lblTabName"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox runat="server" ID="txtTabName"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblTabSource" runat="server" Text="Tab Source"></asp:Label>
                            </td>
                            <td style="width: 100%">
                                <dnn:Url ID="txtTabSource" runat="server" ShowUrls="true" ShowTrack="false" ShowTabs="false"
                                    ShowLog="false" ShowFiles="true" Required="true" UrlType="U" Width="300" EnableViewState="true">
                                </dnn:Url>
                                <dnn:TextEditor ID="txtSource" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                                <asp:LinkButton ID="btnSave" runat="server" Text="Save" />
                                &nbsp;&nbsp;
                                <asp:LinkButton ID="btnCancel" runat="server" Text="Cancel" />
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
        </tr>
    </table>
</div>
<div id="mfDisplay" runat="server" class="footer">
</div>
